src/mesh/cs_join_split.c File Reference

| programmer's documentation

- Main Page
- Related Pages
- Modules
- Data Structures
- Files

- File List
- Globals

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
Macros | Enumerations | Functions
cs_join_split.c File Reference
`#include "cs_defs.h"`
`#include <stdlib.h>`
`#include <stdio.h>`
`#include <string.h>`
`#include <math.h>`
`#include <float.h>`
`#include <assert.h>`
`#include "bft_mem.h"`
`#include "bft_printf.h"`
`#include "fvm_io_num.h"`
`#include "fvm_periodicity.h"`
`#include "cs_block_dist.h"`
`#include "cs_mesh.h"`
`#include "cs_order.h"`
`#include "cs_search.h"`
`#include "cs_join_post.h"`
`#include "cs_join_split.h"`
Include dependency graph for cs_join_split.c:

## Macros
#define | _DBGTST 0

## Enumerations
enum | cs_join_split_error_t { NO_SPLIT_ERROR, OPEN_CYCLE_ERROR, EDGE_TRAVERSED_TWICE_ERROR, LOOP_LIMIT_ERROR, MAX_SPLIT_ERROR }

## Functions
void | cs_join_split_faces (cs_join_param_t param, const cs_real_t face_normal[], const cs_join_edges_t *edges, cs_join_mesh_t **work, cs_join_gset_t **old2new_history)
void | cs_join_split_update_struct (const cs_join_param_t param, const cs_join_mesh_t *work_mesh, const cs_gnum_t gnum_rank_index[], cs_join_gset_t **o2n_hist, cs_join_mesh_t **local_mesh)

## Macro Definition Documentation

#define _DBGTST 0

## Enumeration Type Documentation

enum cs_join_split_error_t

Enumerator
NO_SPLIT_ERROR |
OPEN_CYCLE_ERROR |
EDGE_TRAVERSED_TWICE_ERROR |
LOOP_LIMIT_ERROR |
MAX_SPLIT_ERROR |

## Function Documentation

void cs_join_split_faces | ( | cs_join_param_t | param,
|  | const cs_real_t | face_normal[],
|  | const cs_join_edges_t * | edges,
|  | cs_join_mesh_t ** | work,
|  | cs_join_gset_t ** | old2new_history
| ) |  |

void cs_join_split_update_struct | ( | const cs_join_param_t | param,
|  | const cs_join_mesh_t * | work_mesh,
|  | const cs_gnum_t | gnum_rank_index[],
|  | cs_join_gset_t ** | o2n_hist,
|  | cs_join_mesh_t ** | local_mesh
| ) |  |